MOTIFI = /usr/X11R6/include

MOTIFL = /usr/X11R6/lib

CC = gcc

CFLAGS = $(LIBINC) $(CLDFLAGS) -Wall -I$(MOTIFI)
		
LDFLAGS = $(LIBLNK) $(CLDFLAGS) -L$(MOTIFL)
	
XLIBS = -lXm -lXp -lXt -lXext -lSM -lICE -lXmu -lX11

LIBS =	$(XLIBS) -lsbigudrv -lcfitsio -lxpa -lm

INCS =		\
        protocol.h	

OBJS =			\
	protocol.o	\
	xmccd1.o

all:	xmccd1 

xmccd1:	$(INCS) $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	rm -fr *.o xmccd1
        
install:
	cp xmccd1 /usr/local/bin/
        
